## OobsIfaceEthernet

OobsIfaceEthernet — Object that represents an individual Ethernet interface

## Functions

const gchar * | oobs_iface_ethernet_get_ip_address ()
void | oobs_iface_ethernet_set_ip_address ()
const gchar * | oobs_iface_ethernet_get_network_mask ()
void | oobs_iface_ethernet_set_network_mask ()
const gchar * | oobs_iface_ethernet_get_gateway_address ()
void | oobs_iface_ethernet_set_gateway_address ()
const gchar * | oobs_iface_ethernet_get_network_address ()
void | oobs_iface_ethernet_set_network_address ()
const gchar * | oobs_iface_ethernet_get_broadcast_address ()
void | oobs_iface_ethernet_set_broadcast_address ()
const gchar * | oobs_iface_ethernet_get_configuration_method ()
void | oobs_iface_ethernet_set_configuration_method ()

## Properties

char * | broadcast-address | Read / Write
char * | config-method | Read / Write
char * | gateway-address | Read / Write
char * | ip-address | Read / Write
char * | ip-mask | Read / Write
char * | network-address | Read / Write

## Object Hierarchy

        GObject
        ╰── OobsIface
            ╰── OobsIfaceEthernet
                ├── OobsIfaceIRLan
                ╰── OobsIfaceWireless

## Description

## Functions

### oobs_iface_ethernet_get_ip_address ()

    const gchar *
    oobs_iface_ethernet_get_ip_address (OobsIfaceEthernet *iface);

Returns the IP address that this interface uses.

#### Parameters

iface | An OobsIfaceEthernet. |

#### Returns

A pointer to the IP address as a string. This string must not be freed, modified or stored.

### oobs_iface_ethernet_set_ip_address ()

    void
    oobs_iface_ethernet_set_ip_address (OobsIfaceEthernet *iface,
                                        const gchar *address);

Sets a new IP address for the interface, overwriting the previous one.

#### Parameters

iface | An OobsIfaceEthernet. |
address | a new IP address for the interface. |

### oobs_iface_ethernet_get_network_mask ()

    const gchar *
    oobs_iface_ethernet_get_network_mask (OobsIfaceEthernet *iface);

Returns the IP network mask that this interface uses.

#### Parameters

iface | An OobsIfaceEthernet. |

#### Returns

A pointer to the network mask as a string. This string must not be freed, modified or stored.

### oobs_iface_ethernet_set_network_mask ()

    void
    oobs_iface_ethernet_set_network_mask (OobsIfaceEthernet *iface,
                                          const gchar *mask);

Sets a new IP network mask for the interface, overwriting the previous one.

#### Parameters

iface | An OobsIfaceEthernet. |
mask | a new IP network mask for the interface. |

### oobs_iface_ethernet_get_gateway_address ()

    const gchar *
    oobs_iface_ethernet_get_gateway_address
                                   (OobsIfaceEthernet *iface);

Returns the gateway IP address that this interface uses.

#### Parameters

iface | An OobsIfaceEthernet. |

#### Returns

A pointer to the gateway address as a string. This string must not be freed, modified or stored.

### oobs_iface_ethernet_set_gateway_address ()

    void
    oobs_iface_ethernet_set_gateway_address
                                   (OobsIfaceEthernet *iface,
                                    const gchar *address);

Sets a new gateway IP address for the interface, overwriting the previous one.

#### Parameters

iface | An OobsIfaceEthernet. |
address | a new gateway IP address for the interface. |

### oobs_iface_ethernet_get_network_address ()

    const gchar *
    oobs_iface_ethernet_get_network_address
                                   (OobsIfaceEthernet *iface);

Returns the network address for this interface.

#### Parameters

iface | An OobsIfaceEthernet. |

#### Returns

A pointer to the network address as a string. This string must not be freed, modified or stored.

### oobs_iface_ethernet_set_network_address ()

    void
    oobs_iface_ethernet_set_network_address
                                   (OobsIfaceEthernet *iface,
                                    const gchar *address);

Sets a new network address for the interface, overwriting the previous one.

#### Parameters

iface | An OobsIfaceEthernet. |
address | a new network address for the interface. |

### oobs_iface_ethernet_get_broadcast_address ()

    const gchar *
    oobs_iface_ethernet_get_broadcast_address
                                   (OobsIfaceEthernet *iface);

Returns the broadcast address for this interface.

#### Parameters

iface | An OobsIfaceEthernet. |

#### Returns

A pointer to the broadcast address as a string. This string must not be freed, modified or stored.

### oobs_iface_ethernet_set_broadcast_address ()

    void
    oobs_iface_ethernet_set_broadcast_address
                                   (OobsIfaceEthernet *iface,
                                    const gchar *address);

Sets a new broadcast address for the interface, overwriting the previous one.

#### Parameters

iface | An OobsIfaceEthernet. |
address | a new broadcast address for the interface. |

### oobs_iface_ethernet_get_configuration_method ()

    const gchar *
    oobs_iface_ethernet_get_configuration_method
                                   (OobsIfaceEthernet *iface);

Returns the configuration method for the interface.

#### Parameters

iface | An OobsIfaceEthernet. |

#### Returns

The configuration method that the interface uses. This value must not be modified nor freed.

### oobs_iface_ethernet_set_configuration_method ()

    void
    oobs_iface_ethernet_set_configuration_method
                                   (OobsIfaceEthernet *iface,
                                    const gchar *method);

Sets the configuration method that the interface will use. The valid methods are provided by `oobs_ifaces_config_get_available_configuration_methods()`.

#### Parameters

iface | An OobsIfaceEthernet. |
method | A new configuration method for the interface, or `NULL`. |

## Property Details

### The `“broadcast-address”` property

      “broadcast-address”        char *

Network broadcast for the iface.

Owner: OobsIfaceEthernet

Flags: Read / Write

Default value: NULL

### The `“config-method”` property

      “config-method”            char *

Network configuration method for the iface.

Owner: OobsIfaceEthernet

Flags: Read / Write

Default value: NULL

### The `“gateway-address”` property

      “gateway-address”          char *

Gateway address for the iface.

Owner: OobsIfaceEthernet

Flags: Read / Write

Default value: NULL

### The `“ip-address”` property

      “ip-address”               char *

Address for the iface.

Owner: OobsIfaceEthernet

Flags: Read / Write

Default value: NULL

### The `“ip-mask”` property

      “ip-mask”                  char *

Netmask for the iface.

Owner: OobsIfaceEthernet

Flags: Read / Write

Default value: NULL

### The `“network-address”` property

      “network-address”          char *

Network address for the iface.

Owner: OobsIfaceEthernet

Flags: Read / Write

Default value: NULL

## See Also

OobsIface, OobsIfacesConfig, OobsIfaceIRLan, OobsIfacePlip, OobsIfacePPP, OobsIfaceWireless